main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

ppwstory/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('main/', include('main.urls')),
    path('', include('story_4.urls')),
    path('story_1/', include('story_1.urls')),
    path('story_5/', include('story_5.urls')),
    path('story_6/', include('story_6.urls')),
    path('story_7/', include('story_7.urls')),
    path('story_8/', include('story_8.urls')),
    path('story_9/', include('story_9.urls')),
]

story_5/urls.py
from django.urls import path
from .views import index, save, detail, lst, delete

#url for app
urlpatterns = [
    path('', index, name='index'),
    path('save', save, name='save'),
    path('list', lst, name='list'),
    path('detail/<str:pk>/', detail, name="detail"),
    path('delete/<str:pk>/', delete, name="delete"),
]

story_5/models.py
from django.db import models



# Create your models here.
class MataKuliah(models.Model):
    nama_matkul = models.CharField(max_length=50, unique=True)
    dosen_matkul = models.CharField(max_length=50)
    sks_matkul = models.IntegerField()
    desc_matkul = models.TextField()
    smt_matkul = models.CharField(max_length= 5, choices=[('gasal', 'Gasal'), ('genap', 'Genap')])
    tahun_matkul = models.CharField(max_length= 4, choices=[('2021', '2020 / 2021'), ('1920', '2019 / 2020'), ('1819', '2018 / 2019'), ('1718', '2017 / 2018'), ('1617', '2016 / 2017')])
    gedung_matkul = models.CharField(max_length=50)
    

story_5/forms.py
from django.db import models
from django import forms
from .models import MataKuliah

class Input_Form(forms.ModelForm):
    class Meta:
        model = MataKuliah
        fields = [
            'nama_matkul',
            'dosen_matkul',
            'sks_matkul',
            'desc_matkul',
            'smt_matkul',
            'tahun_matkul',
            'gedung_matkul'
        ]
    error_messages = {
        'required' : 'Please Type'
    }
    input_attrs1 = {
        'type' : 'text',
        'placeholder' : 'Masukkan Nama Matkul'
    }
    input_attrs2 = {
        'type' : 'text',
        'placeholder' : 'Masukkan Nama Dosen'
    }
    input_attrs3 = {
        'type' : 'text',
        'placeholder' : 'Masukkan Ruang Kelas'
    }

    nama_matkul = forms.CharField(label='', required=True, max_length=50, widget=forms.TextInput(attrs=input_attrs1))
    dosen_matkul = forms.CharField(label='', required=True, max_length=50, widget=forms.TextInput(attrs=input_attrs2))
    sks_matkul = forms.IntegerField(label='', required=True, min_value=0, max_value = 10)
    desc_matkul = forms.CharField(label='', required=True, widget = forms.Textarea)
    smt_matkul = forms.ChoiceField(label='', required=True, choices=[('gasal', 'Gasal'), ('genap', 'Genap')])
    tahun_matkul = forms.ChoiceField(label='', required=True, choices=[('2021', '2020 / 2021'), ('1920', '2019 / 2020'), ('1819', '2018 / 2019'), ('1718', '2017 / 2018'), ('1617', '2016 / 2017')])
    gedung_matkul = forms.CharField(label='', required=True, max_length=50,  widget=forms.TextInput(attrs=input_attrs3))
    
    

story_5/views.py
from django.shortcuts import render
from .forms import Input_Form
from .models import MataKuliah
from django.http import HttpResponseRedirect

# Create your views here.
def index(request):
    return render(request, 'story_5/story_5.html', {'form' : Input_Form, 'matkuls' : MataKuliah.objects.all()})

def save(request):
    form = Input_Form(request.POST or None)
    if form.is_valid() and request.method == 'POST':
        form.save()
    
    return HttpResponseRedirect('/story_5')

def lst(request):
    return render(request, 'story_5/story_5_list.html', {'matkuls' : MataKuliah.objects.all()})

def detail(request, pk):
    matkul = MataKuliah.objects.get(id=pk)
    return render(request, "story_5/story_5_detail.html", { "matkul" : matkul})

def delete(request, pk):
    matkul = MataKuliah.objects.get(id=pk)
    if request.method == 'POST':
        matkul.delete()
    
    return HttpResponseRedirect('/story_5')

story_5/templates/story_5/story_5.html
{% extends 'base2.html' %}
{% load static %}

    {% block meta %}
    <title>Formulir Susun Jadwal</title>
    {% endblock meta %}

    {% block content %}
    <nav class="navbar navbar-custom navbar-dark">
        <div class="container-fluid">
            <span class="navbar-brand mx-auto mb-0"><h2>MATA KULIAH</h2></span>
        </div>
    </nav>

    <div class="container mx-auto">
        <a href="{% url 'list' %}" class="mx-auto">
            <button type="button" class="btn mx-auto my-3 btn-lg btn-success mb-2">LIHAT DAFTAR MATA KULIAH</button>
        </a>
    </div>

    <div class="container mx-auto my-3 text-center">
        <h3>Tambah Mata Kuliah</h3>
        <form class="text-center" action="{% url 'save' %}" method="POST">
            {% csrf_token %}
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Nama Mata Kuliah :</label>
                <div class="col-md-1">
                {{ form.nama_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Dosen Pengampu :</label>
                <div class="col-md-1">
                {{ form.dosen_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Jumlah SKS :</label>
                <div class="col-md-1">
                {{ form.sks_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Deskripsi :</label>
                <div class="col-md-1">
                {{ form.desc_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Semester :</label>
                <div class="col-md-1">
                {{ form.smt_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Tahun Ajaran :</label>
                <div class="col-md-1">
                {{ form.tahun_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Ruang :</label>
                <div class="col-md-1">
                {{ form.gedung_matkul}}
                </div>
            </div>
            <div class="row">
                <div class="col-md-10">
                    <button type="submit" class="btn btn-lg btn-primary mb-2">Save</button>
                </div>
            </div>
        </form>     
    </div>

  

  {% if matkuls %}
    <div class="container my-5">
        <div class="box2 card mx-auto mb-3">
        <div class="card-header h3">Hapus Mata Kuliah</div>
            <div class="card-body">
                <table class="table table-hover table-striped">
                <tbody>
                    {% for matkul in matkuls %}
                    <tr>
                        <td><h4 class="text-dark">{{ matkul.nama_matkul }}</h4></td>
                        <td>
                            <!-- Button trigger modal -->
                            <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModalCenter{{ matkul.id}}">
                                Delete
                            </button>
                            
                            <!-- Modal -->
                            <div class="modal fade" id="exampleModalCenter{{ matkul.id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalCenterTitle">HAPUS MATA KULIAH</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h4>Apakah anda ingin menghapus {{ matkul.nama_matkul }} dari daftar?</h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
                                        <form class="text-center" action="{% url 'delete' matkul.id %}" method="POST">
                                            {% csrf_token %}
                                            <button type="submit" class="btn btn-danger">Hapus</button>
                                        </form>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            </div>
        </div>
    </div>
    {% endif %}
    
    


    {% endblock content %}

story_5/templates/story_5/story_5_detail.html
{% extends 'base2.html' %}
{% load static %}

    {% block meta %}
    <title>{{ matkul.nama_matkul }}</title>
    {% endblock meta %}

    {% block content %}

  
  {% csrf_token %}
    <nav class="navbar navbar-custom navbar-dark">
        <div class="container-fluid">
            <span class="navbar-brand mx-auto mb-0"><h2>Detail</h2></span>
        </div>
    </nav>
    {% if matkul %}
    <div class="container mx-auto my-3">
        <table class="table ml-5 table-borderless table-responsive">
            <tbody>
              <tr>
                <td class="h4">Nama Mata Kuliah</td>
                <td class="h4">: {{ matkul.nama_matkul }}</td>
              </tr>
              <tr>
                <td class="h4">Dosen Pengampu</td>
                <td class="h4">: {{ matkul.dosen_matkul }}</td>
              </tr>
              <tr>
                <td class="h4">Jumlah SKS</td>
                <td class="h4">: {{ matkul.sks_matkul }} SKS</td>
              </tr>
              <tr>
                <td class="h4">Deskripsi</td>
                <td class="h4">: {{ matkul.desc_matkul }}</td>
              </tr>
              <tr>
                <td class="h4">Semester</td>
                <td class="h4">: {{ matkul.get_smt_matkul_display }}</td>
              </tr>
              <tr>
                <td class="h4">Tahun Ajaran</td>
                <td class="h4">: {{ matkul.get_tahun_matkul_display }}</td>
              </tr>
              <tr>
                <td class="h4">Ruang</td>
                <td class="h4">: {{ matkul.gedung_matkul }}</td>
              </tr>
              <tr>
                <td></td>
                <td>
                    <a href="{% url 'list' %}">
                        <button type="button" class="btn btn-primary">Back</button>
                    </a>
                </td>
              </tr>
            </tbody>
          </table>
    </div>
    {% endif %}

    {% endblock content %}

story_5/templates/story_5/story_5_list.html
{% extends 'base2.html' %}
{% load static %}

    {% block meta %}
    <title>Daftar Mata Kuliah</title>
    {% endblock meta %}

    {% block content %}
    <nav class="navbar navbar-custom navbar-dark">
        <div class="container-fluid">
            <span class="navbar-brand mx-auto mb-0"><h2>Daftar Mata Kuliah</h2></span>
        </div>
    </nav>

    <div class="container mx-auto">
        <a href="{% url 'index' %}" class="mx-auto">
            <button type="button" class="btn mx-auto my-3 btn-lg btn-success mb-2">TAMBAH / HAPUS MATA KULIAH</button>
        </a>
    </div>

     {% if matkuls %}
    <div class="container my-5">
        <div class="box2 card mx-auto mb-3">
            <div class="card-header">
                <h3>Daftar Mata Kuliah</h3>
            </div>
            <div class="card-body">
                <table class="table table-hover table-striped">
                <tbody>
                    {% for matkul in matkuls %}
                    <tr>
                        <td><a href="{% url 'detail' matkul.id %}"><h4 class="text-dark">{{ matkul.nama_matkul }}</h4></a></td>
                    </tr>
                    {% endfor %}
                </tbody>
                </table>
            </div>
        </div>
    </div>
    {% endif %}

    {% endblock content %}